Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
fills
List Portfolio Fills
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/fills
{
  "fills": [
    {
      "id": "dc376e5b-84fa-4bdf-9f13-537b1bde8fc3",
      "order_id": "ba1115bc-7b3c-4b6b-ae38-585f3ab59271",
      "product_id": "BTC-USD",
      "client_product_id": "BTC-USDC",
      "side": "BUY",
      "filled_quantity": "100",
      "filled_value": "25",
      "price": "140.91",
      "time": "2021-05-31T11:59:59.000Z",
      "commission": "5.55",
      "venue": "Coinbase",
      "venue_fees": "2.50",
      "ces_commission": "1.25",
      "product_type": "SPOT",
      "commission_detail_total": {
        "total_commission": "<string>",
        "client_commission": "<string>",
        "venue_commission": "<string>",
        "ces_commission": "<string>",
        "financing_commission": "<string>",
        "regulatory_commission": "<string>",
        "clearing_commission": "<string>"
      }
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Prime CLIUse the Prime CLI to test this endpoint by following the quick start guide and running this command:
primectl get-portfolio-fills --help
primectl get-portfolio-fills --help
For more information, please visit the Prime CLI.

Path Parameters

portfolio_id
string
required

The portfolio ID associated with the order

Query Parameters

cursor
string

Cursor used for pagination (last consumed record)

limit
integer<int32>

Number of items to retrieve

start_date
string<date-time>
required

A start date for the fills to be queried from

end_date
string<date-time>

An end date for the fills to be queried until

sort_direction
enum<string>
default:DESC

Sorting order

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

fills
Fills associated with the portfolio · object[]
pagination
object